// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.21.0
// 	protoc        v3.11.4
// source: transport-order/model/trip.proto

package model

import (
	proto "github.com/golang/protobuf/proto"
	common "gitlab.com/supply-net/shared/go-grpc/common"
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

// This is a compile-time assertion that a sufficiently up-to-date version
// of the legacy proto package is being used.
const _ = proto.ProtoPackageIsVersion4

type Trip struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Id          int64                      `protobuf:"varint,1,opt,name=id,proto3" json:"id,omitempty"`
	Number      string                     `protobuf:"bytes,2,opt,name=number,proto3" json:"number,omitempty"`
	Name        string                     `protobuf:"bytes,3,opt,name=name,proto3" json:"name,omitempty"`
	Description string                     `protobuf:"bytes,4,opt,name=description,proto3" json:"description,omitempty"`
	Unit        *TripTransportUnit         `protobuf:"bytes,5,opt,name=unit,proto3" json:"unit,omitempty"`
	Period      *common.PeriodWithPlanning `protobuf:"bytes,6,opt,name=period,proto3" json:"period,omitempty"`
	Status      EnumTripStatus             `protobuf:"varint,7,opt,name=status,proto3,enum=transportOrder.EnumTripStatus" json:"status,omitempty"` // new, work, completed, canceled, deleted
	Owner       *common.Company            `protobuf:"bytes,8,opt,name=owner,proto3" json:"owner,omitempty"`
	Places      []*TripPlace               `protobuf:"bytes,10,rep,name=places,proto3" json:"places,omitempty"`
	Lots        []*Lot                     `protobuf:"bytes,20,rep,name=lots,proto3" json:"lots,omitempty"`
	MaxVehicles int32                      `protobuf:"varint,100,opt,name=maxVehicles,proto3" json:"maxVehicles,omitempty"`
}

func (x *Trip) Reset() {
	*x = Trip{}
	if protoimpl.UnsafeEnabled {
		mi := &file_transport_order_model_trip_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Trip) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Trip) ProtoMessage() {}

func (x *Trip) ProtoReflect() protoreflect.Message {
	mi := &file_transport_order_model_trip_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Trip.ProtoReflect.Descriptor instead.
func (*Trip) Descriptor() ([]byte, []int) {
	return file_transport_order_model_trip_proto_rawDescGZIP(), []int{0}
}

func (x *Trip) GetId() int64 {
	if x != nil {
		return x.Id
	}
	return 0
}

func (x *Trip) GetNumber() string {
	if x != nil {
		return x.Number
	}
	return ""
}

func (x *Trip) GetName() string {
	if x != nil {
		return x.Name
	}
	return ""
}

func (x *Trip) GetDescription() string {
	if x != nil {
		return x.Description
	}
	return ""
}

func (x *Trip) GetUnit() *TripTransportUnit {
	if x != nil {
		return x.Unit
	}
	return nil
}

func (x *Trip) GetPeriod() *common.PeriodWithPlanning {
	if x != nil {
		return x.Period
	}
	return nil
}

func (x *Trip) GetStatus() EnumTripStatus {
	if x != nil {
		return x.Status
	}
	return EnumTripStatus_TRIP_UNKNOWN
}

func (x *Trip) GetOwner() *common.Company {
	if x != nil {
		return x.Owner
	}
	return nil
}

func (x *Trip) GetPlaces() []*TripPlace {
	if x != nil {
		return x.Places
	}
	return nil
}

func (x *Trip) GetLots() []*Lot {
	if x != nil {
		return x.Lots
	}
	return nil
}

func (x *Trip) GetMaxVehicles() int32 {
	if x != nil {
		return x.MaxVehicles
	}
	return 0
}

var File_transport_order_model_trip_proto protoreflect.FileDescriptor

var file_transport_order_model_trip_proto_rawDesc = []byte{
	0x0a, 0x20, 0x74, 0x72, 0x61, 0x6e, 0x73, 0x70, 0x6f, 0x72, 0x74, 0x2d, 0x6f, 0x72, 0x64, 0x65,
	0x72, 0x2f, 0x6d, 0x6f, 0x64, 0x65, 0x6c, 0x2f, 0x74, 0x72, 0x69, 0x70, 0x2e, 0x70, 0x72, 0x6f,
	0x74, 0x6f, 0x12, 0x0e, 0x74, 0x72, 0x61, 0x6e, 0x73, 0x70, 0x6f, 0x72, 0x74, 0x4f, 0x72, 0x64,
	0x65, 0x72, 0x1a, 0x2f, 0x74, 0x72, 0x61, 0x6e, 0x73, 0x70, 0x6f, 0x72, 0x74, 0x2d, 0x6f, 0x72,
	0x64, 0x65, 0x72, 0x2f, 0x6d, 0x6f, 0x64, 0x65, 0x6c, 0x2f, 0x74, 0x72, 0x69, 0x70, 0x2d, 0x74,
	0x72, 0x61, 0x6e, 0x73, 0x70, 0x6f, 0x72, 0x74, 0x2d, 0x75, 0x6e, 0x69, 0x74, 0x2e, 0x70, 0x72,
	0x6f, 0x74, 0x6f, 0x1a, 0x1f, 0x74, 0x72, 0x61, 0x6e, 0x73, 0x70, 0x6f, 0x72, 0x74, 0x2d, 0x6f,
	0x72, 0x64, 0x65, 0x72, 0x2f, 0x6d, 0x6f, 0x64, 0x65, 0x6c, 0x2f, 0x6c, 0x6f, 0x74, 0x2e, 0x70,
	0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x26, 0x74, 0x72, 0x61, 0x6e, 0x73, 0x70, 0x6f, 0x72, 0x74, 0x2d,
	0x6f, 0x72, 0x64, 0x65, 0x72, 0x2f, 0x6d, 0x6f, 0x64, 0x65, 0x6c, 0x2f, 0x74, 0x72, 0x69, 0x70,
	0x2d, 0x70, 0x6c, 0x61, 0x63, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x21, 0x63, 0x6f,
	0x6d, 0x6d, 0x6f, 0x6e, 0x2f, 0x70, 0x65, 0x72, 0x69, 0x6f, 0x64, 0x2d, 0x77, 0x69, 0x74, 0x68,
	0x2d, 0x70, 0x6c, 0x61, 0x6e, 0x6e, 0x69, 0x6e, 0x67, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a,
	0x27, 0x74, 0x72, 0x61, 0x6e, 0x73, 0x70, 0x6f, 0x72, 0x74, 0x2d, 0x6f, 0x72, 0x64, 0x65, 0x72,
	0x2f, 0x6d, 0x6f, 0x64, 0x65, 0x6c, 0x2f, 0x74, 0x72, 0x69, 0x70, 0x2d, 0x73, 0x74, 0x61, 0x74,
	0x75, 0x73, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x14, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e,
	0x2f, 0x63, 0x6f, 0x6d, 0x70, 0x61, 0x6e, 0x79, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x22, 0xac,
	0x03, 0x0a, 0x04, 0x54, 0x72, 0x69, 0x70, 0x12, 0x0e, 0x0a, 0x02, 0x69, 0x64, 0x18, 0x01, 0x20,
	0x01, 0x28, 0x03, 0x52, 0x02, 0x69, 0x64, 0x12, 0x16, 0x0a, 0x06, 0x6e, 0x75, 0x6d, 0x62, 0x65,
	0x72, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x06, 0x6e, 0x75, 0x6d, 0x62, 0x65, 0x72, 0x12,
	0x12, 0x0a, 0x04, 0x6e, 0x61, 0x6d, 0x65, 0x18, 0x03, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x6e,
	0x61, 0x6d, 0x65, 0x12, 0x20, 0x0a, 0x0b, 0x64, 0x65, 0x73, 0x63, 0x72, 0x69, 0x70, 0x74, 0x69,
	0x6f, 0x6e, 0x18, 0x04, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0b, 0x64, 0x65, 0x73, 0x63, 0x72, 0x69,
	0x70, 0x74, 0x69, 0x6f, 0x6e, 0x12, 0x35, 0x0a, 0x04, 0x75, 0x6e, 0x69, 0x74, 0x18, 0x05, 0x20,
	0x01, 0x28, 0x0b, 0x32, 0x21, 0x2e, 0x74, 0x72, 0x61, 0x6e, 0x73, 0x70, 0x6f, 0x72, 0x74, 0x4f,
	0x72, 0x64, 0x65, 0x72, 0x2e, 0x54, 0x72, 0x69, 0x70, 0x54, 0x72, 0x61, 0x6e, 0x73, 0x70, 0x6f,
	0x72, 0x74, 0x55, 0x6e, 0x69, 0x74, 0x52, 0x04, 0x75, 0x6e, 0x69, 0x74, 0x12, 0x32, 0x0a, 0x06,
	0x70, 0x65, 0x72, 0x69, 0x6f, 0x64, 0x18, 0x06, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1a, 0x2e, 0x63,
	0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e, 0x50, 0x65, 0x72, 0x69, 0x6f, 0x64, 0x57, 0x69, 0x74, 0x68,
	0x50, 0x6c, 0x61, 0x6e, 0x6e, 0x69, 0x6e, 0x67, 0x52, 0x06, 0x70, 0x65, 0x72, 0x69, 0x6f, 0x64,
	0x12, 0x36, 0x0a, 0x06, 0x73, 0x74, 0x61, 0x74, 0x75, 0x73, 0x18, 0x07, 0x20, 0x01, 0x28, 0x0e,
	0x32, 0x1e, 0x2e, 0x74, 0x72, 0x61, 0x6e, 0x73, 0x70, 0x6f, 0x72, 0x74, 0x4f, 0x72, 0x64, 0x65,
	0x72, 0x2e, 0x45, 0x6e, 0x75, 0x6d, 0x54, 0x72, 0x69, 0x70, 0x53, 0x74, 0x61, 0x74, 0x75, 0x73,
	0x52, 0x06, 0x73, 0x74, 0x61, 0x74, 0x75, 0x73, 0x12, 0x25, 0x0a, 0x05, 0x6f, 0x77, 0x6e, 0x65,
	0x72, 0x18, 0x08, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x0f, 0x2e, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e,
	0x2e, 0x43, 0x6f, 0x6d, 0x70, 0x61, 0x6e, 0x79, 0x52, 0x05, 0x6f, 0x77, 0x6e, 0x65, 0x72, 0x12,
	0x31, 0x0a, 0x06, 0x70, 0x6c, 0x61, 0x63, 0x65, 0x73, 0x18, 0x0a, 0x20, 0x03, 0x28, 0x0b, 0x32,
	0x19, 0x2e, 0x74, 0x72, 0x61, 0x6e, 0x73, 0x70, 0x6f, 0x72, 0x74, 0x4f, 0x72, 0x64, 0x65, 0x72,
	0x2e, 0x54, 0x72, 0x69, 0x70, 0x50, 0x6c, 0x61, 0x63, 0x65, 0x52, 0x06, 0x70, 0x6c, 0x61, 0x63,
	0x65, 0x73, 0x12, 0x27, 0x0a, 0x04, 0x6c, 0x6f, 0x74, 0x73, 0x18, 0x14, 0x20, 0x03, 0x28, 0x0b,
	0x32, 0x13, 0x2e, 0x74, 0x72, 0x61, 0x6e, 0x73, 0x70, 0x6f, 0x72, 0x74, 0x4f, 0x72, 0x64, 0x65,
	0x72, 0x2e, 0x4c, 0x6f, 0x74, 0x52, 0x04, 0x6c, 0x6f, 0x74, 0x73, 0x12, 0x20, 0x0a, 0x0b, 0x6d,
	0x61, 0x78, 0x56, 0x65, 0x68, 0x69, 0x63, 0x6c, 0x65, 0x73, 0x18, 0x64, 0x20, 0x01, 0x28, 0x05,
	0x52, 0x0b, 0x6d, 0x61, 0x78, 0x56, 0x65, 0x68, 0x69, 0x63, 0x6c, 0x65, 0x73, 0x42, 0x9b, 0x01,
	0x0a, 0x1d, 0x63, 0x6f, 0x6d, 0x2e, 0x73, 0x75, 0x70, 0x70, 0x6c, 0x79, 0x2d, 0x6e, 0x65, 0x74,
	0x2e, 0x74, 0x72, 0x61, 0x6e, 0x73, 0x70, 0x6f, 0x72, 0x74, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x42,
	0x04, 0x54, 0x72, 0x69, 0x70, 0x50, 0x01, 0x5a, 0x3a, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e,
	0x63, 0x6f, 0x6d, 0x2f, 0x73, 0x75, 0x70, 0x70, 0x6c, 0x79, 0x2d, 0x6e, 0x65, 0x74, 0x2f, 0x73,
	0x68, 0x61, 0x72, 0x65, 0x64, 0x2f, 0x67, 0x6f, 0x2d, 0x67, 0x72, 0x70, 0x63, 0x2f, 0x74, 0x72,
	0x61, 0x6e, 0x73, 0x70, 0x6f, 0x72, 0x74, 0x2d, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2f, 0x6d, 0x6f,
	0x64, 0x65, 0x6c, 0xa2, 0x02, 0x03, 0x4d, 0x58, 0x58, 0xaa, 0x02, 0x1e, 0x53, 0x75, 0x70, 0x70,
	0x6c, 0x79, 0x4e, 0x65, 0x74, 0x2e, 0x54, 0x72, 0x61, 0x6e, 0x73, 0x70, 0x6f, 0x72, 0x74, 0x4f,
	0x72, 0x64, 0x65, 0x72, 0x2e, 0x4d, 0x6f, 0x64, 0x65, 0x6c, 0xca, 0x02, 0x0e, 0x54, 0x72, 0x61,
	0x6e, 0x73, 0x70, 0x6f, 0x72, 0x74, 0x4f, 0x72, 0x64, 0x65, 0x72, 0x62, 0x06, 0x70, 0x72, 0x6f,
	0x74, 0x6f, 0x33,
}

var (
	file_transport_order_model_trip_proto_rawDescOnce sync.Once
	file_transport_order_model_trip_proto_rawDescData = file_transport_order_model_trip_proto_rawDesc
)

func file_transport_order_model_trip_proto_rawDescGZIP() []byte {
	file_transport_order_model_trip_proto_rawDescOnce.Do(func() {
		file_transport_order_model_trip_proto_rawDescData = protoimpl.X.CompressGZIP(file_transport_order_model_trip_proto_rawDescData)
	})
	return file_transport_order_model_trip_proto_rawDescData
}

var file_transport_order_model_trip_proto_msgTypes = make([]protoimpl.MessageInfo, 1)
var file_transport_order_model_trip_proto_goTypes = []interface{}{
	(*Trip)(nil),                      // 0: transportOrder.Trip
	(*TripTransportUnit)(nil),         // 1: transportOrder.TripTransportUnit
	(*common.PeriodWithPlanning)(nil), // 2: common.PeriodWithPlanning
	(EnumTripStatus)(0),               // 3: transportOrder.EnumTripStatus
	(*common.Company)(nil),            // 4: common.Company
	(*TripPlace)(nil),                 // 5: transportOrder.TripPlace
	(*Lot)(nil),                       // 6: transportOrder.Lot
}
var file_transport_order_model_trip_proto_depIdxs = []int32{
	1, // 0: transportOrder.Trip.unit:type_name -> transportOrder.TripTransportUnit
	2, // 1: transportOrder.Trip.period:type_name -> common.PeriodWithPlanning
	3, // 2: transportOrder.Trip.status:type_name -> transportOrder.EnumTripStatus
	4, // 3: transportOrder.Trip.owner:type_name -> common.Company
	5, // 4: transportOrder.Trip.places:type_name -> transportOrder.TripPlace
	6, // 5: transportOrder.Trip.lots:type_name -> transportOrder.Lot
	6, // [6:6] is the sub-list for method output_type
	6, // [6:6] is the sub-list for method input_type
	6, // [6:6] is the sub-list for extension type_name
	6, // [6:6] is the sub-list for extension extendee
	0, // [0:6] is the sub-list for field type_name
}

func init() { file_transport_order_model_trip_proto_init() }
func file_transport_order_model_trip_proto_init() {
	if File_transport_order_model_trip_proto != nil {
		return
	}
	file_transport_order_model_trip_transport_unit_proto_init()
	file_transport_order_model_lot_proto_init()
	file_transport_order_model_trip_place_proto_init()
	file_transport_order_model_trip_status_proto_init()
	if !protoimpl.UnsafeEnabled {
		file_transport_order_model_trip_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Trip); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_transport_order_model_trip_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   1,
			NumExtensions: 0,
			NumServices:   0,
		},
		GoTypes:           file_transport_order_model_trip_proto_goTypes,
		DependencyIndexes: file_transport_order_model_trip_proto_depIdxs,
		MessageInfos:      file_transport_order_model_trip_proto_msgTypes,
	}.Build()
	File_transport_order_model_trip_proto = out.File
	file_transport_order_model_trip_proto_rawDesc = nil
	file_transport_order_model_trip_proto_goTypes = nil
	file_transport_order_model_trip_proto_depIdxs = nil
}
